<!DOCTYPE html> 
<html> 
<head> 
	<meta charset="utf-8">
	<title></title>
	<script src="../jquery-2.0.3.min.js"></script>
	<script src="../jquery.rwdImageMaps.min.js"></script>
			<script>
			var realW =800;
			var realH=533;
			var tmp = [];
			var timedelay = DozdClass.getRefreshRate();
			var continBlink = false;
			var blinkRate = DozdClass.getBlinkRate();
			function convertPoint(inp)
			{
				var out = inp;
				var x = inp.x;
				var y = inp.y;
				var sv = $("#ssvv");
				var svh = sv.height();
				var svw = sv.width();
				out.x =Math.ceil(x*svw/realW);
				out.y = Math.ceil(y*svw/realW);
				return(out);
			}
			function convertPoly(poly)
			{
				var out = poly;
				var aa;
				for(i = 0;i<poly.numberOfItems;i++)
				{ 
					aa = convertPoint(poly.getItem(i));
					out.replaceItem(aa,i);
				}
				return(out);
			}
			function dra()
			{
				$("#ssvv polygon").each(function(id,field){ 
					var svgP=$(field).prop("points");
					console.log('polygon number :'+id); 
					for(i = 0;i<svgP.numberOfItems;i++){ 
						console.log(svgP.getItem(i)); 
					}
					svgP = convertPoly(svgP);
				});
			}
			$(document).ready(function(){
					/*
					$('img[usemap]').rwdImageMaps();
					
					$('area').on('click', function() {
						alert($(this).attr('alt'));
					});
					*/
					dra();
					$(window).resize(function(){
						window.location = window.location;
					});
					fn();
					setTimeout("fn();",timedelay);
			});
			function fn()
			{
				continBlink = false;
				var jsonStr = DozdClass.getSensors();
				$("#msg_div").append(jsonStr);
				var obj = JSON.parse(jsonStr);
				tmp = [];
				for(i = 0;i < obj.length;i++)
				{
					if(obj[i].isOn)
						tmp.push(obj[i].id);
					DozdClass.showToast('id = '+obj[i].id+",isOn="+obj[i].isOn);
				}
				if(tmp.length>0)
				{
					continBlink = true;
					setTimeout('blinkPoly();',blinkRate);
				}
			}
			function blinkPoly()
			{
				if(continBlink)
				{
					for(var i=0;i<tmp.length;i++)
						if($("#poly_"+tmp[i]).length>0)
							$("#poly_"+tmp[i]).toggle();
					setTimeout('blinkPoly();',blinkRate);
				}
			}
		</script>
		<style>
			div {
				width: 100%;
				font-family:tahoma;
				position:fixed;
			}
			.pointer
			{
				cursor:pointer;
			}
			.round
			{
				-webkit-border-radius: 8px;
				-moz-border-radius: 8px;
				border-radius: 8px;
			}
			.hass{
				background:#ff0000;
			}
			svg
			{
				background:url('img/dozd_naghshe.jpg') no-repeat ;
				width:100%;
				background-size:100%;
				fill-opacity : 0.5;
			}
		</style>
</head> 
<body style="background:#2a2560;">
<svg id="ssvv" xmlns="http://www.w3.org/2000/svg" version="1.1">
  <polygon id="poly_0" onclick="alert('salam');" points="177,195 84,244 171,325 281,258 231,216 216,227" style="fill:red;stroke:purple;stroke-width:1;" />
</svg>
<div id="can" >
	<img src="img/dozd_naghshe.jpg"  usemap="#mmp" >
</div>
<map name="mmp">
  <area class="hass"  shape="poly" alt="اتاق خواب" title="" coords="359,97,441,53,532,106,449,154" href="#" />
  <area  shape="poly" alt="اتاق خواب 2" title="" coords="298,132,357,100,446,156,373,201,323,163,334,159,325,153" href="#" />
  <area  shape="poly" alt="3تاق خواب " title="" coords="177,195,84,244,171,325,281,258,231,216,216,227" href="#" />
</map>


</body>
</html>
